flip {sp} | R Documentation

## rearrange data in SpatialPointsDataFrame or SpatialGridDataFrame for plotting with spplot (levelplot/xyplot wrapper)

### Description

rearrange SpatialPointsDataFrame for plotting with spplot or levelplot

### Usage

    flipHorizontal(x)
    flipVertical(x)

### Arguments

`x` | object of class SpatialGridDataFrame

### Value

object of class SpatialGridDataFrame, with pixels flipped horizontally or vertically. Note that the spatial structure is destroyed (or at least: drastically changed).

### Author(s)

Michael Sumner

### Examples

    data(meuse.grid) # data frame
    gridded(meuse.grid) = c("x", "y") # promotes to
    fullgrid(meuse.grid) = TRUE
    d = meuse.grid["dist"]
    image(d, axes=TRUE)
    image(flipHorizontal(d), axes=TRUE)
    image(flipVertical(d), axes=TRUE)

[Package sp version 1.2-3 Index]